MuleUniversalDestination (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.transport.MuleUniversalDestination class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf.transport
Class MuleUniversalDestination

    java.lang.Object
      org.apache.cxf.transport.AbstractObservable
          org.apache.cxf.transport.AbstractDestination
              org.mule.transport.cxf.transport.MuleUniversalDestination

All Implemented Interfaces:
  org.apache.cxf.transport.Destination, org.apache.cxf.transport.DestinationWithEndpoint, org.apache.cxf.transport.Observable

    public class MuleUniversalDestination

extends org.apache.cxf.transport.AbstractDestination

Nested Class Summary
`class` | `MuleUniversalDestination.ResponseConduit`

Nested classes/interfaces inherited from class org.apache.cxf.transport.AbstractDestination
`org.apache.cxf.transport.AbstractDestination.AbstractBackChannelConduit`

Field Summary
`static String` | `RESPONSE_OBSERVER`

Fields inherited from class org.apache.cxf.transport.AbstractDestination
`bus, endpointInfo, reference`

Fields inherited from class org.apache.cxf.transport.AbstractObservable
`incomingObserver`

Constructor Summary
`MuleUniversalDestination(MuleUniversalTransport transport, org.apache.cxf.ws.addressing.EndpointReferenceType ref, org.apache.cxf.service.model.EndpointInfo ei)`

Method Summary
`protected org.apache.cxf.transport.ConduitInitiator` | `getConduitInitiator()`
`protected org.apache.cxf.transport.Conduit` | `getInbuiltBackChannel(org.apache.cxf.message.Message inMessage)`
`protected Logger` | `getLogger()`
`protected boolean` | `markPartialResponse(org.apache.cxf.message.Message partialResponse, org.apache.cxf.ws.addressing.EndpointReferenceType decoupledTarget)`
`void` | `shutdown()`

Methods inherited from class org.apache.cxf.transport.AbstractDestination
`getAddress, getBackChannel, getEndpointInfo`

Methods inherited from class org.apache.cxf.transport.AbstractObservable
`activate, deactivate, getMessageObserver, getTargetReference, getTargetReference, setMessageObserver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.transport.Destination
`getMessageObserver`

Methods inherited from interface org.apache.cxf.transport.Observable
`setMessageObserver`

Field Detail

### RESPONSE_OBSERVER

    public static final String RESPONSE_OBSERVER

See Also:
  Constant Field Values

Constructor Detail

### MuleUniversalDestination

    public MuleUniversalDestination(MuleUniversalTransport transport,
                                    org.apache.cxf.ws.addressing.EndpointReferenceType ref,
                                    org.apache.cxf.service.model.EndpointInfo ei)

Method Detail

### getInbuiltBackChannel

    protected org.apache.cxf.transport.Conduit getInbuiltBackChannel(org.apache.cxf.message.Message inMessage)

  Specified by:
    `getInbuiltBackChannel` in class `org.apache.cxf.transport.AbstractDestination`

### getLogger

    protected Logger getLogger()

  Specified by:
    `getLogger` in class `org.apache.cxf.transport.AbstractObservable`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `org.apache.cxf.transport.Destination`
  Overrides:
    `shutdown` in class `org.apache.cxf.transport.AbstractDestination`

### markPartialResponse

    protected boolean markPartialResponse(org.apache.cxf.message.Message partialResponse,
                                          org.apache.cxf.ws.addressing.EndpointReferenceType decoupledTarget)

  Overrides:
    `markPartialResponse` in class `org.apache.cxf.transport.AbstractDestination`

### getConduitInitiator

    protected org.apache.cxf.transport.ConduitInitiator getConduitInitiator()

  Overrides:
    `getConduitInitiator` in class `org.apache.cxf.transport.AbstractDestination`
  Returns:
    the associated conduit initiator, or null if decoupled mode not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.